AI Sync

Bulk Actions

Bulk Delete Contacts

POSThttps://app.aisync.link/api/contacts/bulk-delete
Bulk Delete Contacts
curl --request POST \
  --url https://app.aisync.link/api/contacts/bulk-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "contact_ids": [
    1,
    2
  ]
}'
{
  "deleted": 2,
  "message": "Deleted 2 contact(s).",
  "success": true
}

Bulk Delete Contacts#

Deletes up to 5,000 contacts. When the table has a deleted flag, the row is marked deleted instead of removed.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

contact_idsinteger[]bodyrequired

1 to 5,000 numeric contact ids

curl --request POST \
  --url https://app.aisync.link/api/contacts/bulk-delete \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "contact_ids": [
    1,
    2
  ]
}'
deletedinteger

Contacts deleted